#!/usr/bin/perl -w

###########################################################################
#
# translator.pl
#
# A component of the Greenstone digital library software
# from the New Zealand Digital Library Project at the 
# University of Waikato, New Zealand.
#
# Copyright (C) 1999 New Zealand Digital Library Project
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
###########################################################################


BEGIN {
    die "GSDLHOME not set\n" unless defined $ENV{'GSDLHOME'};
    unshift (@INC, "$ENV{'GSDLHOME'}/perllib");
}

use parsargv;
use util;
use Cwd;
use File::Basename;
use GDBM_File;
use CGI;


sub main
{
    my $query = new CGI;
    my @languages;

    # directory in which to put the generated html pages
    my $dir = "$ENV{'GSDLHOME'}/tmp/lang/package_forms";
    # creates directory if it doesn't already exist
    if (!-e $dir) {
	my $store_umask = umask(0000);
	if (! mkdir($dir, 0777)) {
	    umask($store_umask);
	    die "Couldn't create directory $dir\n";
	}
	umask($store_umask);
    }
 
    open(LANGFILE, "<$dir/languages.log") or die "MURGH\n";

    while (<LANGFILE>) {
	$lang = $_;
	chomp($lang);
	push(@languages,$lang);
	<LANGFILE>;
    }
    
    close LANGFILE;

    open(HTMLFILE, ">$dir/picklanguage.lang") or die "MURGH\n";
    
    print HTMLFILE ("<center><strong><br>\n",
		    "Welcome to the Greenstone Language Translation Facility</strong><p>\n",
		    "<table border=\"2\" cellpadding=\"8\"><tr><td><center>",
		    "Please select a base language from which to translate: <p>\n",
		    $query->popup_menu(-name=>"baselanguage",
				       -values=>\@languages,
				       -default=>'english'),
		    "<p></center></td><td><center>\n",
		    "Please select the language you are translating into: <p>\n",
		    $query->popup_menu(-name=>"language",
				       -values=>\@languages),
		    "<p>\n",
		    "Or enter the name of a new language: <p>\n",
		    $query->textfield(-name=>"ownchoice",
				      -default=>"",
				      -size=>50),
		    "<p></center></td></tr></table>\n",
		    $query->submit("submitlanguage","CONTINUE >>"),
		    "</center><br>\n");
    
    close HTMLFILE;
}

&main();
