package org.greenstone.gsdl3.util;

import org.w3c.dom.Document;
import org.w3c.dom.Element;

/** holds all the site setup variables
 * includes a method to represent them as an XML node
 *
 * is this only applicable to the servlet type interface? should this
 * be called ServletConfigVars? or WebServletVars?
 */
public class ConfigVars {

    /** the name that has been given to the servlet thats running eg library
     * not needed for other types of clients*/
    public String library_name_=null;
    /** the gsdl home directory 
     * where the sites and interfaces directories live */
    public String gsdl3_home_ = null;
    /** the name of the current site - may be null if the interface talks
     * to a communicator */
    public String site_name_=null;
    /** the name of the current interface */
    public String interface_name_=null;
    /** the default language of the interface */
    public String default_language_ = null;
    /** the xml <config> element containing all the variables */
    public Element config_xml_ = null;

    /** creates the <config> Element containting the variables
     * needed by the xslt stuff */
    public void createXML() {
	
	XMLConverter converter = new XMLConverter();
	Document doc = converter.newDOM();

	config_xml_ = doc.createElement(GSXML.CONFIGURATION_ELEM);

	Element e;
	e = GSXML.createTextElement(doc, "library_name", library_name_);
	config_xml_.appendChild(e);
	e = GSXML.createTextElement(doc, "gsdl3_home", gsdl3_home_);
	config_xml_.appendChild(e);
	e = GSXML.createTextElement(doc, "site_name", site_name_);
	config_xml_.appendChild(e);
	e = GSXML.createTextElement(doc, "interface_name", interface_name_);
	config_xml_.appendChild(e);
    }
}
	
