/*
 *    SimpleGraphicalClient.java
 *    Copyright (C) 2001 New Zealand Digital Library Project
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
package org.nzdl.gsdl.SimpleGraphicalClient;

/**
 * Class 
 *
 * A class to 
 * 
 * @author Dave Nichols (daven@cs.waikato.ac.nz)
 * @author stuart yeates (say1@cs.waikato.ac.nz)
 * @version $Revision: 2281 $
 * @see org.nzdl.gsdl.service.SimpleGraphicalClient.SimpleGraphicalClient
 */

public class Result extends Object
{
       private String resultTitle;
       private String docID;
       private String collectionName;
       private QueryHistoryItem queryHistoryItem;


    public final static Result FAKE_RESULT = new Result("No results returned", "", "", new QueryHistoryItem() );
    public final static Result INITIAL_FAKE_RESULT = new Result("Search results will appear here", "", "",  new QueryHistoryItem());
       // related query
	   // time, person, collection etc

    public Result( String newResultTitle) {	 
	resultTitle = newResultTitle;
    }
		 
   public Result( String newResultTitle, String newResultDocID,  String newResultCollectionName, QueryHistoryItem newQueryHistoryItem)
         {	 
         resultTitle = newResultTitle;
	 docID = newResultDocID;
	 collectionName = newResultCollectionName;
	 queryHistoryItem = newQueryHistoryItem;
         }

    public String toString () {
	return resultTitle;
    }
    public String getDocID() {
	return docID;
    }
    public String getCollectionName() {
	return collectionName;
    }
    public QueryHistoryItem getQueryHistoryItem() {
	return queryHistoryItem;
    }



} //end Result class
